## ros-rolling-turtlebot3-gazebo 2.2.5

=== models/turtlebot3_dqn_world/obstacle_plugin/CMakeLists.txt ===
################################################################################
# CMake
################################################################################
cmake_minimum_required(VERSION 2.8 FATAL_ERROR)

################################################################################
# Packages
################################################################################
find_package(gazebo REQUIRED)

################################################################################
# Build
################################################################################
link_directories(${GAZEBO_LIBRARY_DIRS})

include_directories(${GAZEBO_INCLUDE_DIRS})

list(APPEND CMAKE_CXX_FLAGS "${GAZEBO_CXX_FLAGS}")

add_library(obstacle1 SHARED obstacle1.cc)
target_link_libraries(obstacle1 ${GAZEBO_LIBRARIES})

add_library(obstacle2 SHARED obstacle2.cc)
target_link_libraries(obstacle2 ${GAZEBO_LIBRARIES})

add_library(obstacles SHARED obstacles.cc)
target_link_libraries(obstacles ${GAZEBO_LIBRARIES})

=== debian/changelog ===
ros-rolling-turtlebot3-gazebo (2.2.5-3jammy) jammy; urgency=high

  * Release for ROS2 Rolling
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Wed, 25 Aug 2021 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (2.2.4-3jammy) jammy; urgency=high

  * Release for ROS2 Galactic
  * Separate world and robot models(#162)
  * Clean up unncessary files
  * Use turtlebot3_common mesh modeling
  * Independent turtlebot3_simulations package
  * Contributors: Joep Tool, Will Son

 -- Will Son <willson@robotis.com>  Mon, 14 Jun 2021 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (2.2.3-3jammy) jammy; urgency=high

  * Update required keyword arguments
  * Clear up exec_depend
  * Fix Waffle Pi wheel inertia
  * Contributors: ruffsl, Will Son

 -- Will Son <willson@robotis.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (2.2.2-3jammy) jammy; urgency=high

  * Remove shared objects built in older version
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Wed, 24 Feb 2021 08:00:00 -0000

ros-rolling-turtlebot3-gazebo (2.2.1-3jammy) jammy; urgency=high

  * Eloquent Elusor EOL
  * Add missing imu joint in sdf
  * Append Gazebo model path
  * Portable fix, launch description revise
  * Ament lint applied
  * Contributors: minwoominwoominwoo7, Rayman, seanyen, ashe kim, Will Son

 -- Will Son <willson@robotis.com>  Wed, 13 Jan 2021 08:00:00 -0000

ros-rolling-turtlebot3-gazebo (2.2.0-3jammy) jammy; urgency=high

  * TurtleBot3 Drive node implementation
  * Additional Gazebo maps added
  * argument tags in the sdf file replaced with remapping tags
  * Low polygon 3D modeling applied for simulation
  * Contributors: Ryan Shim, Mikael Arguedas, Will Son

 -- Will Son <willson@robotis.com>  Mon, 29 Jun 2020 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (2.1.0-3jammy) jammy; urgency=high

  * Added turtlebot3_house and related world, model files
  * Contributors: Ryan Shim

 -- Will Son <willson@robotis.com>  Tue, 10 Sep 2019 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (2.0.1-3jammy) jammy; urgency=high

  * Modified dependency packages
  * Modified launch directory
  * Added a launch file for robot state publisher
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Thu, 05 Sep 2019 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (2.0.0-3jammy) jammy; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Updated the CHANGELOG and version to release binary packages
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Tue, 20 Aug 2019 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (1.3.0-3jammy) jammy; urgency=high

  * Turtlebot3 Autorace 2020 implemented
  * Remove the plugin_path from gazebo_ros export
  * Remove *nix path separator
  * Contributors: Ashe Kim, Ben Wolsieffer, Sean Yen

 -- Will Son <willson@robotis.com>  Mon, 29 Jun 2020 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (1.2.0-3jammy) jammy; urgency=high

  * moved <scene> into <world> #65 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/65>
  * modified ML stage
  * delete unused param
  * update algorithm and modified variable more clearly
  * Contributors: Darby Lim, Gilbert, Louise Poubel, Pyo

 -- Will Son <willson@robotis.com>  Tue, 22 Jan 2019 08:00:00 -0000

ros-rolling-turtlebot3-gazebo (1.1.0-3jammy) jammy; urgency=high

  * modified uri path
  * modified autorace
  * delete remap
  * Contributors: Darby Lim, Gilbert, Pyo

 -- Will Son <willson@robotis.com>  Fri, 20 Jul 2018 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (1.0.2-3jammy) jammy; urgency=high

  * added mission.launch modified model.sdf
  * deleted turtlebot3's gazebo plugins
  * modified autorace gazebo
  * merged pull request #53 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/53> #52 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/52> #51 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/51> #50 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/50> #49 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/49>
  * Contributors: Gilbert, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Fri, 01 Jun 2018 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (1.0.1-3jammy) jammy; urgency=high

  * resolving dependency issues:
    http://build.ros.org/job/Kbin_dj_dJ64__turtlebot3_gazebo__debian_jessie_amd64__binary/2/
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Wed, 30 May 2018 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (1.0.0-3jammy) jammy; urgency=high

  * added world for turtlebot3_autorace
  * added world for turtlebot3_machine_learning
  * merged pull request #46 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/46> from AuTURBO/develop
    add turtlebot3_autorace world'
  * merged pull request #48 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/48> #47 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/47> #44 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/44> #42 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/42> #41 <https://github.com/ROBOTIS-GIT/turtlebot3_simulations/issues/41>
  * Contributors: Darby Lim, Gilbert, hyunoklee, Pyo

 -- Will Son <willson@robotis.com>  Tue, 29 May 2018 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (0.2.4-3jammy) jammy; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Wed, 14 Mar 2018 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (0.2.3-3jammy) jammy; urgency=high

  * solved DuplicateVersionsException error
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Wed, 14 Mar 2018 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (0.2.2-3jammy) jammy; urgency=high

  * none

 -- Will Son <willson@robotis.com>  Wed, 14 Mar 2018 07:00:00 -0000

ros-rolling-turtlebot3-gazebo (0.2.1-3jammy) jammy; urgency=high

  * added worlds for gazebo and turtlebot3
  * Contributors: Darby Lim

 -- Will Son <willson@robotis.com>  Wed, 14 Mar 2018 07:00:00 -0000



=== debian/control ===
Source: ros-rolling-turtlebot3-gazebo
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-gazebo-ros-pkgs, ros-rolling-geometry-msgs, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-tf2, ros-rolling-ros-workspace
Homepage: http://turtlebot3.robotis.com
Standards-Version: 3.9.2

Package: ros-rolling-turtlebot3-gazebo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-gazebo-ros-pkgs, ros-rolling-geometry-msgs, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-sensor-msgs, ros-rolling-tf2, ros-rolling-ros-workspace
Description: Gazebo simulation package for the TurtleBot3

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-turtlebot3-gazebo//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install
